Bug 67888 - Ports update: devel/cvsbook (was marked broken)
Ports update: devel/cvsbook (was marked broken)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-13 00:50 UTC by cyrille.lefevre
Modified: 2004-06-18 00:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.87 KB, patch)
2004-06-13 00:50 UTC, cyrille.lefevre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cyrille.lefevre 2004-06-13 00:50:15 UTC
	Makefile
		PORTREVISION bumped
		BROKEN deleted
		OPTIONS added
		heuristic changed
	distinfo
		updated

How-To-Repeat: 	n/a
Comment 1 vs freebsd_committer 2004-06-14 22:21:38 UTC
This looks like no install-info will be executed when installing from 
package. This could be avoided by using the INFO-mechanism.

Volker
Comment 2 Thierry Thomas freebsd_committer 2004-06-14 22:40:57 UTC
State Changed
From-To: open->closed


Committed, thanks!
Comment 3 cyrille.lefevre 2004-06-15 10:11:07 UTC
"Volker Stolz" <vs@FreeBSD.org> wrote:
> This looks like no install-info will be executed when installing from 
> package. This could be avoided by using the INFO-mechanism.


I did not understand what you mean ?
I've just re-check everything, w/ or w/o packages, w/o any issue.

Cyrille Lefevre.
-- 
home: mailto:cyrille.lefevre@laposte.net
Comment 4 stolz 2004-06-15 10:36:05 UTC
Am 15. Jun 2004 um 11:11 CEST schrieb Cyrille Lefevre:
> "Volker Stolz" <vs@FreeBSD.org> wrote:
> > This looks like no install-info will be executed when installing from 
> > package. This could be avoided by using the INFO-mechanism.
> 
> 
> I did not understand what you mean ?
> I've just re-check everything, w/ or w/o packages, w/o any issue.

You need to do "extended" checking, otherwise you won't notice:
install-info will register the file in a central directory, so that if you
just invoke "info", you'll find a new entry. If you don't call install-info,
you won't find it there and have to specify the full path, e.g.
  info /path/too/foo.info

If you use INFO, this will be done automatically, the section will be
inferred from the .info-file. 
-- 
http://www-i2.informatik.rwth-aachen.de/stolz/ *** PGP *** S/MIME
Neu! Ändern Sie den Anfangstag Ihrer Woche
Comment 5 cyrille.lefevre 2004-06-15 11:51:11 UTC
"Volker Stolz" <stolz@i2.informatik.rwth-aachen.de> wrote:
> Am 15. Jun 2004 um 11:11 CEST schrieb Cyrille Lefevre:
> > "Volker Stolz" <vs@FreeBSD.org> wrote:
> > > This looks like no install-info will be executed when installing from 
> > > package. This could be avoided by using the INFO-mechanism.
> > 
> > I did not understand what you mean ?
> > I've just re-check everything, w/ or w/o packages, w/o any issue.
> 
> You need to do "extended" checking, otherwise you won't notice:
> install-info will register the file in a central directory, so that if you
> just invoke "info", you'll find a new entry. If you don't call install-info,
> you won't find it there and have to specify the full path, e.g.
>   info /path/too/foo.info
> 
> If you use INFO, this will be done automatically, the section will be
> inferred from the .info-file. 


that's what I've done :

.if defined(WITH_CVSBOOK_INFO)
INFO=           cvsbook
INFODIR=        ${PREFIX}/${INFO_PATH}
INSTALL_INFO?=  install-info
.endif
...
do-install:
...
.if defined(WITH_CVSBOOK_INFO)
        @${INSTALL_DATA} ${WRKSRC}/cvsbook.info* ${INFODIR}
        @${INSTALL_INFO} ${INFODIR}/cvsbook.info ${INFODIR}/dir
.endif

so, whatever you use "make install/deinstall" or
"pkg_add/pkg_delete cvsbook-1.21_2", cvsbook.info
is well registered/unregistered in all cases !

Cyrille Lefevre.
-- 
home: mailto:cyrille.lefevre@laposte.net
Comment 6 cyrille.lefevre 2004-06-15 11:51:11 UTC
"Volker Stolz" <stolz@i2.informatik.rwth-aachen.de> wrote:
> Am 15. Jun 2004 um 11:11 CEST schrieb Cyrille Lefevre:
> > "Volker Stolz" <vs@FreeBSD.org> wrote:
> > > This looks like no install-info will be executed when installing from 
> > > package. This could be avoided by using the INFO-mechanism.
> > 
> > I did not understand what you mean ?
> > I've just re-check everything, w/ or w/o packages, w/o any issue.
> 
> You need to do "extended" checking, otherwise you won't notice:
> install-info will register the file in a central directory, so that if you
> just invoke "info", you'll find a new entry. If you don't call install-info,
> you won't find it there and have to specify the full path, e.g.
>   info /path/too/foo.info
> 
> If you use INFO, this will be done automatically, the section will be
> inferred from the .info-file. 


that's what I've done :

.if defined(WITH_CVSBOOK_INFO)
INFO=           cvsbook
INFODIR=        ${PREFIX}/${INFO_PATH}
INSTALL_INFO?=  install-info
.endif
...
do-install:
...
.if defined(WITH_CVSBOOK_INFO)
        @${INSTALL_DATA} ${WRKSRC}/cvsbook.info* ${INFODIR}
        @${INSTALL_INFO} ${INFODIR}/cvsbook.info ${INFODIR}/dir
.endif

so, whatever you use "make install/deinstall" or
"pkg_add/pkg_delete cvsbook-1.21_2", cvsbook.info
is well registered/unregistered in all cases !

Cyrille Lefevre.
-- 
home: mailto:cyrille.lefevre@laposte.net
Comment 7 stolz 2004-06-15 12:23:27 UTC
Am 15. Jun 2004 um 12:51 CEST schrieb Cyrille Lefevre:
> "Volker Stolz" <stolz@i2.informatik.rwth-aachen.de> wrote:
> > Am 15. Jun 2004 um 11:11 CEST schrieb Cyrille Lefevre:
> > > "Volker Stolz" <vs@FreeBSD.org> wrote:
> > > > This looks like no install-info will be executed when installing from 
> > > > package. This could be avoided by using the INFO-mechanism.
> > > 
> > > I did not understand what you mean ?
> > > I've just re-check everything, w/ or w/o packages, w/o any issue.
> > 
> > You need to do "extended" checking, otherwise you won't notice:
> > install-info will register the file in a central directory, so that if you
> > just invoke "info", you'll find a new entry. If you don't call install-info,
> > you won't find it there and have to specify the full path, e.g.
> >   info /path/too/foo.info
> > 
> > If you use INFO, this will be done automatically, the section will be
> > inferred from the .info-file. 
> 
> 
> that's what I've done :

You're right, I should have gone earlier to bed yesterday.
Apologies for the hassle.
-- 
http://www-i2.informatik.rwth-aachen.de/stolz/ *** PGP *** S/MIME
Neu! Ändern Sie den Anfangstag Ihrer Woche